# Get a Product `GET https://api.leapa.co/v2/products/{product_id}` Send your API key as a bearer token in the `Authorization` header. ## Path parameters - `product_id` · _string_ · **required** Example: `prd_84c2e7f019` ## Response 200 - `id` · _string_ — Product ID - `name` · _string_ — Product Name - `code` · _string_ — Product Code - `description` · _string_ — Product Description - `status` · _string_ — Product Status Allowed values: `soldout`, `available`, `unavailable` - `type` · _string_ — Product type Allowed values: `service`, `good`, `addon`, `standard`, `single`, `triple`, `quad`, `suite`, `presidential`, `king`, `queen`, `interconnecting`, `adjoining`, `adjacent`, `studio`, `room`, `apartment`, `not_supported` - `images` · _array of string_ — List of images URL of the product - `attributes` · _ProductAttribute_ - `bedType` · _string_ - `numberOfGuests` · _integer_ - `amenities` · _array of string_ - `rateId` · _array of string_ - `created_date` · _integer_ — Product creation time - `price_details` · _array of PriceDetailResponse_ — Detail of the price - `price` · _integer_ — Price of the product. Constraints: Not null, Should be a positive number - `currency` · _string_ — Currency of the product. Constraints: Not null, Should be a positive number Allowed values: `BIF`, `USD`, `KES`, `XAF` - `live` · _boolean_ — Whether is the production data or test data. - `rate_ids` · _array of string_ — Rate Id that will affect the product price. ```json { "id": "obj_5f21c8a40b", "name": "Jeanne Ndayishimiye", "code": "string", "description": "Room 204, two nights", "status": "soldout", "type": "service", "images": [ "string" ], "attributes": { "bedType": "string", "numberOfGuests": 0, "amenities": [ "AIR_CONDITIONING" ] }, "rateId": [ "rat_20b6df3c9e" ], "created_date": 0, "price_details": [ { "price": 0, "currency": "BIF" } ], "live": false, "rate_ids": [ "string" ] } ``` ## Status codes - `200` OK - `400` Bad request - `401` Unauthorized - `402` Payment required - `403` Forbidden - `404` Not found - `428` Precondition required - `500` Server error ## Example ```bash curl -X GET "https://api.leapa.co/v2/products/prd_84c2e7f019" \ -H "Authorization: Bearer $LEAPA_API_KEY" \ -H "Accept: application/json" ``` --- _Generated from the Leapa documentation at leapa.co/docs._